#pragma once

#include <string>
#include <vector>

#include "Mix/Tool/Win32/Core/Graphics/Texture.h"

namespace Mix{ namespace Tool{ namespace Win32{ namespace Graphics{

	class TargetTexture : public Mix::Tool::Win32::Graphics::Texture
	{
	protected:
		TargetTexture( void );
		virtual ~TargetTexture( void );

	public:
		virtual bool Lock( const RECT& rect, D3DLOCKED_RECT& info ) = 0;
		virtual void Unlock( void ) = 0;

	public:
		virtual Mix::Tool::Win32::Object::TYPE GetType( void ) const;
	};

}}}}
